<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:11 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>PmdExtension (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="PmdExtension (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/plugins/quality/Pmd.html" title="class in org.gradle.api.plugins.quality"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/plugins/quality/PmdPlugin.html" title="class in org.gradle.api.plugins.quality"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/plugins/quality/PmdExtension.html" target="_top">Frames</a></li>
<li><a href="PmdExtension.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.plugins.quality</div>
<h2 title="Class PmdExtension" class="title">Class PmdExtension</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html" title="class in org.gradle.api.plugins.quality">org.gradle.api.plugins.quality.CodeQualityExtension</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.plugins.quality.PmdExtension</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">PmdExtension</span>
extends <a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html" title="class in org.gradle.api.plugins.quality">CodeQualityExtension</a></pre>
<div class="block">Configuration options for the PMD plugin.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/plugins/quality/PmdPlugin.html" title="class in org.gradle.api.plugins.quality"><code>PmdPlugin</code></a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/PmdExtension.html#PmdExtension(org.gradle.api.Project)">PmdExtension</a></strong>(<a href="../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/PmdExtension.html#getRulePriority()">getRulePriority</a></strong>()</code>
<div class="block">The rule priority threshold; violations for rules with a lower priority will not be reported.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/PmdExtension.html#getRuleSetConfig()">getRuleSetConfig</a></strong>()</code>
<div class="block">The custom rule set to be used (if any).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/PmdExtension.html#getRuleSetFiles()">getRuleSetFiles</a></strong>()</code>
<div class="block">The custom rule set files to be used.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/PmdExtension.html#getRuleSets()">getRuleSets</a></strong>()</code>
<div class="block">The built-in rule sets to be used.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/plugins/quality/TargetJdk.html" title="enum in org.gradle.api.plugins.quality">TargetJdk</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/PmdExtension.html#getTargetJdk()">getTargetJdk</a></strong>()</code>
<div class="block">The target jdk to use with pmd, 1.3, 1.4, 1.5, 1.6, 1.7 or jsp</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/PmdExtension.html#isConsoleOutput()">isConsoleOutput</a></strong>()</code>
<div class="block">Whether or not to write PMD results to <code>System.out</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/PmdExtension.html#ruleSetFiles(java.lang.Object...)">ruleSetFiles</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;ruleSetFiles)</code>
<div class="block">Convenience method for adding rule set files.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/PmdExtension.html#ruleSets(java.lang.String...)">ruleSets</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;ruleSets)</code>
<div class="block">Convenience method for adding rule sets.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/PmdExtension.html#setConsoleOutput(boolean)">setConsoleOutput</a></strong>(boolean&nbsp;consoleOutput)</code>
<div class="block">Whether or not to write PMD results to <code>System.out</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/PmdExtension.html#setRulePriority(int)">setRulePriority</a></strong>(int&nbsp;intValue)</code>
<div class="block">Sets the rule priority threshold.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/PmdExtension.html#setRuleSetConfig(org.gradle.api.resources.TextResource)">setRuleSetConfig</a></strong>(<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;ruleSetConfig)</code>
<div class="block">The custom rule set to be used (if any).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/PmdExtension.html#setRuleSetFiles(org.gradle.api.file.FileCollection)">setRuleSetFiles</a></strong>(<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;ruleSetFiles)</code>
<div class="block">The custom rule set files to be used.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/PmdExtension.html#setRuleSets(java.util.List)">setRuleSets</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ruleSets)</code>
<div class="block">The built-in rule sets to be used.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/PmdExtension.html#setTargetJdk(java.lang.Object)">setTargetJdk</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</code>
<div class="block">Sets the target jdk used with pmd.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/PmdExtension.html#setTargetJdk(org.gradle.api.plugins.quality.TargetJdk)">setTargetJdk</a></strong>(<a href="../../../../../org/gradle/api/plugins/quality/TargetJdk.html" title="enum in org.gradle.api.plugins.quality">TargetJdk</a>&nbsp;targetJdk)</code>
<div class="block">Sets the target jdk used with pmd.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.plugins.quality.CodeQualityExtension">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.plugins.quality.<a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html" title="class in org.gradle.api.plugins.quality">CodeQualityExtension</a></h3>
<code><a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html#getReportsDir()">getReportsDir</a>, <a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html#getSourceSets()">getSourceSets</a>, <a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html#getToolVersion()">getToolVersion</a>, <a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html#isIgnoreFailures()">isIgnoreFailures</a>, <a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html#setIgnoreFailures(boolean)">setIgnoreFailures</a>, <a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html#setReportsDir(java.io.File)">setReportsDir</a>, <a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html#setSourceSets(java.util.Collection)">setSourceSets</a>, <a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html#setToolVersion(java.lang.String)">setToolVersion</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PmdExtension(org.gradle.api.Project)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PmdExtension</h4>
<pre>public&nbsp;PmdExtension(<a href="../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getRuleSets()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRuleSets</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getRuleSets()</pre>
<div class="block">The built-in rule sets to be used. See the <a href="http://pmd.sourceforge.net/rules/index.html">official list</a> of built-in rule sets.

 Example: ruleSets = ["basic", "braces"]</div>
</li>
</ul>
<a name="setRuleSets(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRuleSets</h4>
<pre>public&nbsp;void&nbsp;setRuleSets(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ruleSets)</pre>
<div class="block">The built-in rule sets to be used. See the <a href="http://pmd.sourceforge.net/rules/index.html">official list</a> of built-in rule sets.

 Example: ruleSets = ["basic", "braces"]</div>
</li>
</ul>
<a name="ruleSets(java.lang.String...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ruleSets</h4>
<pre>public&nbsp;void&nbsp;ruleSets(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;ruleSets)</pre>
<div class="block">Convenience method for adding rule sets.

 Example: ruleSets "basic", "braces"</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>ruleSets</code> - the rule sets to be added</dd></dl>
</li>
</ul>
<a name="getTargetJdk()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTargetJdk</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/plugins/quality/TargetJdk.html" title="enum in org.gradle.api.plugins.quality">TargetJdk</a>&nbsp;getTargetJdk()</pre>
<div class="block">The target jdk to use with pmd, 1.3, 1.4, 1.5, 1.6, 1.7 or jsp</div>
</li>
</ul>
<a name="setTargetJdk(org.gradle.api.plugins.quality.TargetJdk)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTargetJdk</h4>
<pre>public&nbsp;void&nbsp;setTargetJdk(<a href="../../../../../org/gradle/api/plugins/quality/TargetJdk.html" title="enum in org.gradle.api.plugins.quality">TargetJdk</a>&nbsp;targetJdk)</pre>
<div class="block">Sets the target jdk used with pmd.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>targetJdk</code> - The target jdk</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setTargetJdk(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTargetJdk</h4>
<pre>public&nbsp;void&nbsp;setTargetJdk(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</pre>
<div class="block">Sets the target jdk used with pmd.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>value</code> - The value for the target jdk as defined by <a href="../../../../../org/gradle/api/plugins/quality/TargetJdk.html#toVersion(java.lang.Object)"><code>TargetJdk.toVersion(Object)</code></a></dd></dl>
</li>
</ul>
<a name="getRulePriority()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRulePriority</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;int&nbsp;getRulePriority()</pre>
<div class="block">The rule priority threshold; violations for rules with a lower priority will not be reported. Default value is 5, which means that all violations will be reported.

 This is equivalent to PMD's Ant task minimumPriority property.

 See the official documentation for the <a href="http://pmd.sourceforge.net/rule-guidelines.html">list of priorities</a>.

 Example: rulePriority = 3</div>
</li>
</ul>
<a name="setRulePriority(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRulePriority</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setRulePriority(int&nbsp;intValue)</pre>
<div class="block">Sets the rule priority threshold.</div>
</li>
</ul>
<a name="getRuleSetConfig()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRuleSetConfig</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;getRuleSetConfig()</pre>
<div class="block">The custom rule set to be used (if any). Replaces <code>ruleSetFiles</code>, except that it does not currently support multiple rule sets.

 See the <a href="http://pmd.sourceforge.net/howtomakearuleset.html">official documentation</a> for how to author a rule set.

 Example: ruleSetConfig = resources.text.fromFile("config/pmd/myRuleSet.xml")</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.2</dd></dl>
</li>
</ul>
<a name="setRuleSetConfig(org.gradle.api.resources.TextResource)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRuleSetConfig</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setRuleSetConfig(<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;ruleSetConfig)</pre>
<div class="block">The custom rule set to be used (if any). Replaces <code>ruleSetFiles</code>, except that it does not currently support multiple rule sets.

 See the <a href="http://pmd.sourceforge.net/howtomakearuleset.html">official documentation</a> for how to author a rule set.

 Example: ruleSetConfig = resources.text.fromFile("config/pmd/myRuleSet.xml")</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.2</dd></dl>
</li>
</ul>
<a name="getRuleSetFiles()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRuleSetFiles</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getRuleSetFiles()</pre>
<div class="block">The custom rule set files to be used. See the <a href="http://pmd.sourceforge.net/howtomakearuleset.html">official documentation</a> for how to author a rule set file.

 Example: ruleSetFiles = files("config/pmd/myRuleSet.xml")</div>
</li>
</ul>
<a name="setRuleSetFiles(org.gradle.api.file.FileCollection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRuleSetFiles</h4>
<pre>public&nbsp;void&nbsp;setRuleSetFiles(<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;ruleSetFiles)</pre>
<div class="block">The custom rule set files to be used. See the <a href="http://pmd.sourceforge.net/howtomakearuleset.html">official documentation</a> for how to author a rule set file.

 Example: ruleSetFiles = files("config/pmd/myRuleSet.xml")</div>
</li>
</ul>
<a name="ruleSetFiles(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ruleSetFiles</h4>
<pre>public&nbsp;void&nbsp;ruleSetFiles(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;ruleSetFiles)</pre>
<div class="block">Convenience method for adding rule set files.

 Example: ruleSetFiles "config/pmd/myRuleSet.xml"</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>ruleSetFiles</code> - the rule set files to be added</dd></dl>
</li>
</ul>
<a name="isConsoleOutput()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isConsoleOutput</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;boolean&nbsp;isConsoleOutput()</pre>
<div class="block">Whether or not to write PMD results to <code>System.out</code>.</div>
</li>
</ul>
<a name="setConsoleOutput(boolean)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setConsoleOutput</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setConsoleOutput(boolean&nbsp;consoleOutput)</pre>
<div class="block">Whether or not to write PMD results to <code>System.out</code>.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/plugins/quality/Pmd.html" title="class in org.gradle.api.plugins.quality"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/plugins/quality/PmdPlugin.html" title="class in org.gradle.api.plugins.quality"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/plugins/quality/PmdExtension.html" target="_top">Frames</a></li>
<li><a href="PmdExtension.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
